- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleTableInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 183 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleTableInterface:
[legend]

List of all members.

## Public Member Functions
QAccessible2Interface * | qAccessibleTableCastHelper ()
virtual QAccessibleInterface * | accessibleAt (int row, int column)=0
virtual QAccessibleInterface * | caption ()=0
virtual int | childIndex (int rowIndex, int columnIndex)=0
virtual QString | columnDescription (int column)=0
virtual int | columnSpan (int row, int column)=0
virtual QAccessibleInterface * | columnHeader ()=0
virtual int | columnIndex (int childIndex)=0
virtual int | columnCount ()=0
virtual int | rowCount ()=0
virtual int | selectedColumnCount ()=0
virtual int | selectedRowCount ()=0
virtual QString | rowDescription (int row)=0
virtual int | rowSpan (int row, int column)=0
virtual QAccessibleInterface * | rowHeader ()=0
virtual int | rowIndex (int childIndex)=0
virtual int | selectedRows (int maxRows, QList< int > *rows)=0
virtual int | selectedColumns (int maxColumns, QList< int > *columns)=0
virtual QAccessibleInterface * | summary ()=0
virtual bool | isColumnSelected (int column)=0
virtual bool | isRowSelected (int row)=0
virtual bool | isSelected (int row, int column)=0
virtual void | selectRow (int row)=0
virtual void | selectColumn (int column)=0
virtual void | unselectRow (int row)=0
virtual void | unselectColumn (int column)=0
virtual void | cellAtIndex (int index, int *row, int *column, int *rowSpan, int *columnSpan, bool *isSelected)=0

## Member Function Documentation

QAccessible2Interface* qAccessibleTableCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 186 of file qaccessible2.h.

    { return this; }

virtual QAccessibleInterface* accessibleAt | ( | int | row,
|  | int | column
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QAccessibleInterface* caption | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int childIndex | ( | int | rowIndex,
|  | int | columnIndex
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString columnDescription | ( | int | column | ) | `[pure virtual]`

Search for all occurrences

virtual int columnSpan | ( | int | row,
|  | int | column
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QAccessibleInterface* columnHeader | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int columnIndex | ( | int | childIndex | ) | `[pure virtual]`

Search for all occurrences

virtual int columnCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int rowCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int selectedColumnCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int selectedRowCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual QString rowDescription | ( | int | row | ) | `[pure virtual]`

Search for all occurrences

virtual int rowSpan | ( | int | row,
|  | int | column
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QAccessibleInterface* rowHeader | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int rowIndex | ( | int | childIndex | ) | `[pure virtual]`

Search for all occurrences

virtual int selectedRows | ( | int | maxRows,
|  | QList< int > * | rows
| ) |  | `[pure virtual]`

Search for all occurrences

virtual int selectedColumns | ( | int | maxColumns,
|  | QList< int > * | columns
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QAccessibleInterface* summary | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual bool isColumnSelected | ( | int | column | ) | `[pure virtual]`

Search for all occurrences

virtual bool isRowSelected | ( | int | row | ) | `[pure virtual]`

Search for all occurrences

virtual bool isSelected | ( | int | row,
|  | int | column
| ) |  | `[pure virtual]`

Search for all occurrences

virtual void selectRow | ( | int | row | ) | `[pure virtual]`

Search for all occurrences

virtual void selectColumn | ( | int | column | ) | `[pure virtual]`

Search for all occurrences

virtual void unselectRow | ( | int | row | ) | `[pure virtual]`

Search for all occurrences

virtual void unselectColumn | ( | int | column | ) | `[pure virtual]`

Search for all occurrences

virtual void cellAtIndex | ( | int | index,
|  | int * | row,
|  | int * | column,
|  | int * | rowSpan,
|  | int * | columnSpan,
|  | bool * | isSelected
| ) |  | `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface
QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface QAccessibleTableInterface